diff -up sos-2.2/sos/helpers.py.orig sos-2.2/sos/helpers.py
--- sos-2.2/sos/helpers.py.orig	2013-08-13 17:30:30.087086650 +0100
+++ sos-2.2/sos/helpers.py	2013-08-13 17:31:04.029287794 +0100
@@ -52,7 +52,11 @@ def sosGetCommandOutput(command, timeout
     if not exists:
         return (127, "", 0)
 
-    p = Popen(command, shell=True, stdout=PIPE, stderr=STDOUT, bufsize=-1)
+    cmd_env = os.environ
+    cmd_env['LC_ALL'] = 'C'
+    p = Popen(command, shell = True,
+              stdout = PIPE, stderr = STDOUT,
+              bufsize = -1, env = cmd_env)
     stdout, stderr = p.communicate()
     # hack to delete trailing '\n' added by p.communicate()
     if stdout[-1:] == '\n': stdout = stdout[:-1]
diff -up sos-2.2/sos/plugins/sar.py.orig sos-2.2/sos/plugins/sar.py
--- sos-2.2/sos/plugins/sar.py.orig	2013-08-13 17:30:12.401981474 +0100
+++ sos-2.2/sos/plugins/sar.py	2013-08-13 17:31:04.030287800 +0100
@@ -30,7 +30,7 @@ class sar(sos.plugintools.PluginBase):
             if fname[0:2] == 'sa' and fname[2] != 'r':
                 sar_filename = 'sar' + fname[2:4]
                 if sar_filename not in dirList:
-                    sar_command = "/bin/sh -c \"LANG=C /usr/bin/sar -A -f /var/log/sa/" + fname + "\""
+                    sar_command = "/usr/bin/sar -A -f /var/log/sa/" + fname
                     self.collectOutputNow(sar_command, sar_filename, symlink=sar_filename)
         return
 
